Subject: Re: [PATCH v3 1/3] virtio_console: Fix locking of vtermno.

From: Rusty Russell <[email-masked]>
Date: Fri, 11 Nov 2011 14:57:20 +1030

On Tue, 08 Nov 2011 13:44:58 -0800, Miche Baker-Harvey <[email-masked]> wrote:
> Some modifications of vtermno were not done under the spinlock.
> 
> Moved assignment from vtermno and increment of vtermno together,
> putting both under the spinlock.  Revert vtermno on failure.
> 
> Signed-off-by: Miche Baker-Harvey <[email-masked]>

Does it matter?  It's normal not to lock in a function called
"init_XXX", since it's not exposed yet.

Or is it?

Thanks,
Rusty.